package com.dbs.mplus.fatima.consent.webservice.model;

import org.ksoap2.serialization.SoapObject;

import java.util.Map;

public class GetFileName {
    private static final String METHOD_NAME = "GetFileName";
    private static final String NAMESPACE = "http://tempuri.org/";

    public String pid;
    public String ordtype;
    public String orddd;
    public String dschdd;
    public String cretno;
    public String filesize;
    public String formcd;
    public String pageno;
    public String ocrtag;
    public String userid;

    public GetFileName() {}

	public SoapObject GetSoapParams() {
        SoapObject request = new SoapObject(NAMESPACE, METHOD_NAME);
        request.addProperty("pid", pid);
        request.addProperty("ordtype", ordtype);
        request.addProperty("orddd", orddd);
        request.addProperty("dschdd", dschdd);
        request.addProperty("cretno", cretno);
        request.addProperty("filesize", filesize);
        request.addProperty("formcd", formcd);
        request.addProperty("pageno", pageno);
        request.addProperty("ocrtag", ocrtag);
        request.addProperty("userid", userid);
        return request;
	}

	public String GetSoapAction()
	{
		return NAMESPACE + METHOD_NAME;
	}

}
